Apache

Magento 2.0 – Installazione e Requisiti

Magento 2.0 – Installazione e Requisiti

E’ impossibile installare Magento 2.0 su un hosting condiviso. E’ necessario disporre di un Hosting adatto a Magento oppure di un proprio Server (VPS) con caratteristiche abbastanza elevate. Magento 2.0 richiede i seguenti requisiti di installazione : Su un server Ubuntu con Php 7.0 installato possiamo colmare le differenze con questi pacchetti di installazione: apt-get install php-dom […]

Posted in: Apache, Web Server
Letsencrypt – archive directory exists for ${DOMAIN}

Letsencrypt – archive directory exists for ${DOMAIN}

Potrebbe capitare che a seguito di un “certbot renew” la procedura possa terminare in modo non corretto, segnalando un errore di :  archive directory exists for ${DOMAIN} o anche: Renewal configuration file /etc/letsencrypt/renewal/www.serverbay.it.conf is broken. Skipping. Per risolvere il problema, utilizzare questi tre comandi per cancellare eventuali “tracce” dalle cartelle: rm -rf /etc/letsencrypt/live/${DOMAIN} rm -rf […]

Posted in: Apache

Monitor Status Apache – Controllo connessioni

Utilizzando “mod_status” si può accedere ad un pannello di monitoraggio e verifica di apache. Per l’installazione >  sudo a2enmod status Successivamente modificare il file : /etc/apache2/mods-enabled/status.conf Verificare che la direttiva “ExtendedStatus” sia su ON Nella sezione “” abilitare il proprio IP, esempio : Allow from 127.0.0.1 ::1 66.77.88.99 Un ravvio di apache : sudo service apache2 […]

Posted in: Apache
ERROR: Module php5.6 does not exist!

ERROR: Module php5.6 does not exist!

Anche se abbiamo installato php5.6 e con il comando : php -v risulta installato è possibile che Apache continui a considerare la versione precedente. Per effettuare lo switch tra le due versioni (es. php 5.5 e php 5.6) i comandi sono : a2dismod php5.load a2enmod php5.6.load ma se riceviamo l’errore : ERROR: Module php5.6 does not exist! […]

Posted in: Apache, Php
Attivare Pretty permalinks su Apache per WordPress

Attivare Pretty permalinks su Apache per WordPress

Se vogliamo attivare i “Pretty permalinks” di WordPress su Apache è necessario installare “mod_rewrite” sudo a2enmod rewrite sudo /etc/init.d/apache2 restart successivamente però sarà necessario impostare una direttiva “FollowSymLinks” nel file di configurazione di Apache relativo al sito web. Io utilizzo sempre questa sintassi : <Directory /var/www/html/> Options Indexes FollowSymLinks MultiViews AllowOverride All Order allow,deny allow […]

Posted in: Apache, Wordpress

L’installazione di PHP non ha l’estensione MySQL necessaria per utilizzare WordPress.

Se abbiamo installato Php 5.6 su Ubuntu 16 è possibile che, in fase di esecuzione di siti web Joomla, WordPress o PHP in generale riceviamo l’errore : L’installazione di PHP non ha l’estensione MySQL necessaria per utilizzare WordPress. nel caso 5.6 è possibile risolvere con il comando : apt-get install php5.6-mysql Consiglio di aggiungere anche : […]

Posted in: Apache, Linux, Php

Installare PHP 5.6 su Ubuntu 16.04 LTS

Se abbiamo necessità di installare PHP5 su un server Ubuntu 16.04.4 LTS (Xenial) con già instalalto PHP 7, per ragioni di compatibilità, procediamo in questo modo: Con permessi di root installiamo il repository e aggiorniamo gli apt: sudo add-apt-repository ppa:ondrej/php sudo apt update A questo punto il sistema saprà dove reperire i pacchetti pertanto possiamo installare […]

Posted in: Apache, Linux, Php

Utilizzando il sito, accetti l'utilizzo dei cookie da parte nostra. maggiori informazioni

Questo sito utilizza i cookie per fornire la migliore esperienza di navigazione possibile. Continuando a utilizzare questo sito senza modificare le impostazioni dei cookie o cliccando su "Accetta" permetti il loro utilizzo.

Chiudi